<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Grid System</title>

	<!-- external CSS -->
	<!-- <link rel="stylesheet" type="text/css" href="index.css">
 -->
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

<!--  -->
</head>
<body class="text-center">
		<h1>Bootstrap Grid Sytem</h1>

		<!-- RULE
		CRC-Container rows columns
		CONTAINER
		ROWS
		COLUMNS
		 -->

		<!-- two columns start -->
		<h2>Two Columns</h2>
		<div>
			<h3>1:1 Ratio</h3>
				<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border-dark col-6">6 col</div>
				<div class="bg-secondary pt-3 pb-3 border-dark col-6">6 col</div>
			</div>

			<!-- 12 columns -->
			<h3>1:2 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border-dark col-4">4 col</div>
				<div class="bg-secondary pt-3 pb-3 border-dark col-8">8 col</div>
			</div>

			<!-- Mini Activity 


			Create an h3 containing
			Create a div that will show a 1:3 ratio for the grid system
			Send your screenshot output

		-->

			<h3>1:3 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border-dark col-3">3 col</div>
				<div class="bg-secondary pt-3 pb-3 border-dark col-9">9 col</div>
			</div>

			

		</div>
		<!-- two columns end -->

		<!-- three columns start -->
		<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- row with 3 equal columns -->
			<h3>1:1:1</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>

			</div>

<!-- row with 3 columns in 1:2:1 -->
			<h3>1:2:1</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>

			</div>
			<!-- ROW WITH THREE COLUMNS IN UNEVEN RATIO -->
			<h3>Uneven</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 col</div>

			</div>

		</div>


		<!-- three columns end -->

		<!--Automatic Sizing Start  -->

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>


			</div>


		</div>


		<!--Automatic Sizing end  -->

		<!-- mobile responsive columns  start-->

			<h2>Mobile Responsive Columns</h2>

			<div class="container-fluid">
				<div class="text-light row">
					<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
				</div>				


			</div>
		<!-- mobile responsive columns end -->

		<!-- multi column lay out start -->

			<h2>Multi-Columns Layouts</h2>
			<div class="contaier-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				
			</div>				

			</div>


		<!-- multi columns lay out end -->

		<!-- off set columns start -->

			<h2>Offsetting Columns</h2>
			<div class="container-fluid">
				<div class="text-light row">
					<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Columns</div>
					<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Columns</div>
					<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Columns</div>
				</div>
				
			</div>

		<!-- off set columns end -->

		<!-- columns order start -->

			<h2>Columns Order</h2>
			<div class="container-fluid">
				<div class="text-light row">

					<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
				</div>
				
			</div>
		<!-- columns order end -->




<!-- js dependencies -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>